import { Component, h, Host, Prop, Event } from "@stencil/core";
export class MentornityAcceptApplicationButton {
  render() {
    return (h(Host, null,
      h("dvn-switch", { tint: "secondary", scale: "small", checked: this.item.status === 'published' ? true : false, onChange: () => this.updateStatusAnnouncement.emit(this.item) })));
  }
  static get is() { return "mentornity-announcements-status-switch"; }
  static get properties() { return {
    "item": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "item",
      "reflect": false
    }
  }; }
  static get events() { return [{
      "method": "updateStatusAnnouncement",
      "name": "updateStatusAnnouncement",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }]; }
}
